# Get inhaled concentration from viral concentration using inhalation scaling factors.

def ViralConc2InhalationConc(viralConcMatrix_median, viralConcMatrix_95pct, inhalationFactors_median, inhalationFactors_95pct):
    
    import numpy as np
    
    inhalationConcMatrix_median = np.zeros_like(viralConcMatrix_median)
    inhalationConcMatrix_95pct = np.zeros_like(viralConcMatrix_95pct)
    
    for i in range(viralConcMatrix_median.shape[0]):
        diamTimeSeries = viralConcMatrix_median[i,:]
        inhalationConcMatrix_median[i,:] = np.multiply(diamTimeSeries, inhalationFactors_median[i])
        diamTimeSeries_95pct = viralConcMatrix_95pct[i,:]
        inhalationConcMatrix_95pct[i,:] = np.multiply(diamTimeSeries_95pct, inhalationFactors_95pct[i])
        
    return inhalationConcMatrix_median, inhalationConcMatrix_95pct